메인 콘텐츠로 건너뛰기
GET
/
v1
/
external
/
users
/
me
/
word-memories
List User Word Memories
curl --request GET \
  --url https://api.tiro.ooo/v1/external/users/me/word-memories \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tiro.ooo/v1/external/users/me/word-memories"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tiro.ooo/v1/external/users/me/word-memories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content": [
    {
      "id": 1,
      "entry": "인공지능",
      "createdAt": "2026-04-01T10:30:00Z"
    },
    {
      "id": 2,
      "entry": "Tiro",
      "createdAt": "2026-04-01T10:35:00Z"
    }
  ],
  "nextCursor": "eyJpZCI6MiwiY3JlYXRlZEF0IjoiMjAyNi0wNC0wMVQxMDozNTowMFoifQ"
}

인증

Authorization
string
header
필수

API key in format {id}.{secret}

쿼리 매개변수

cursor
string

Cursor for the next page. Obtained from nextCursor in previous response.

size
integer
기본값:1000

Number of word memories to return per page

필수 범위: 1 <= x <= 1000

응답

Paginated list of user word memories

content
object[]
필수

Array of items for current page

nextCursor
string | null
필수

Cursor for next page, null if last page

예시:

"opaque-cursor-string"